\section{Git Repository Architecture}
Split up the parts of the system in different projects. For example make a repository for the frontend, backend. 

\begin{minipage}{0.5\textwidth}
	\textbf{Monorepo}
	\begin{itemize}
		\item Tight coupling of projects
		\item Everyone sees all the code and commits
		\item Encourages code sharing within the organization
		\item Scaling: large repos, specialized tooling
	\end{itemize}
\end{minipage}
\begin{minipage}{0.5\textwidth}
	\textbf{Polyrepo}
	\begin{itemize}
		\item Loose coupling of projects
		\item Fine grained access control
		\item Encourage code sharing across organization
		\item Scaling: many projects, special coordination
	\end{itemize}
\end{minipage}

\subsection{Monorepository}
In a monorepo there is one repository for one project and the parts of the application are managed in folders.


\subsection{Polyrepository}
Has multiple repositories for one project and this can be linked in another repository. Here the frontend will for example be in a different repository than the backend. The sync can be done via git submodules or via a bash script.

\begin{figure}[h!]
  \center
  \includegraphics[width=0.75\textwidth]{repo}
  \caption{Repository Architecture}
\end{figure}
